OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.AMD.PerformanceMonitor

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetAMDPerformanceMonitor :: MonadIO m => m Bool
- gl_AMD_performance_monitor :: Bool
- gl_COUNTER_RANGE_AMD :: GLenum
- gl_COUNTER_TYPE_AMD :: GLenum
- gl_PERCENTAGE_AMD :: GLenum
- gl_PERFMON_RESULT_AMD :: GLenum
- gl_PERFMON_RESULT_AVAILABLE_AMD :: GLenum
- gl_PERFMON_RESULT_SIZE_AMD :: GLenum
- gl_UNSIGNED_INT64_AMD :: GLenum
- glBeginPerfMonitorAMD :: MonadIO m => GLuint -> m ()
- glDeletePerfMonitorsAMD :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glEndPerfMonitorAMD :: MonadIO m => GLuint -> m ()
- glGenPerfMonitorsAMD :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetPerfMonitorCounterDataAMD :: MonadIO m => GLuint -> GLenum -> GLsizei -> Ptr GLuint -> Ptr GLint -> m ()
- glGetPerfMonitorCounterInfoAMD :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr a -> m ()
- glGetPerfMonitorCounterStringAMD :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetPerfMonitorCountersAMD :: MonadIO m => GLuint -> Ptr GLint -> Ptr GLint -> GLsizei -> Ptr GLuint -> m ()
- glGetPerfMonitorGroupStringAMD :: MonadIO m => GLuint -> GLsizei -> Ptr GLsizei -> Ptr GLchar -> m ()
- glGetPerfMonitorGroupsAMD :: MonadIO m => Ptr GLint -> GLsizei -> Ptr GLuint -> m ()
- glSelectPerfMonitorCountersAMD :: MonadIO m => GLuint -> GLboolean -> GLuint -> GLint -> Ptr GLuint -> m ()

# Extension Support

glGetAMDPerformanceMonitor :: MonadIO m => m Bool

Is the AMD_performance_monitor extension supported?

gl_AMD_performance_monitor :: Bool

Is the AMD_performance_monitor extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetAMDPerformanceMonitor` in those cases instead.

# Enums

gl_COUNTER_RANGE_AMD :: GLenum

gl_COUNTER_TYPE_AMD :: GLenum

gl_PERCENTAGE_AMD :: GLenum

gl_PERFMON_RESULT_AMD :: GLenum

gl_PERFMON_RESULT_AVAILABLE_AMD :: GLenum

gl_PERFMON_RESULT_SIZE_AMD :: GLenum

gl_UNSIGNED_INT64_AMD :: GLenum

# Functions

glBeginPerfMonitorAMD

Arguments

:: MonadIO m |
=> GLuint | `monitor`.
-> m () |

glDeletePerfMonitorsAMD

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `monitors` pointing to `n` elements of type `GLuint`.
-> m () |

glEndPerfMonitorAMD

Arguments

:: MonadIO m |
=> GLuint | `monitor`.
-> m () |

glGenPerfMonitorsAMD

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `monitors` pointing to `n` elements of type `GLuint`.
-> m () |

glGetPerfMonitorCounterDataAMD

Arguments

:: MonadIO m |
=> GLuint | `monitor`.
-> GLenum | `pname`.
-> GLsizei | `dataSize`.
-> Ptr GLuint | `data` pointing to `dataSize` elements of type `GLuint`.
-> Ptr GLint | `bytesWritten` pointing to `1` element of type `GLint`.
-> m () |

glGetPerfMonitorCounterInfoAMD

Arguments

:: MonadIO m |
=> GLuint | `group`.
-> GLuint | `counter`.
-> GLenum | `pname`.
-> Ptr a | `data` pointing to `COMPSIZE(pname)` elements of type `a`.
-> m () |

glGetPerfMonitorCounterStringAMD

Arguments

:: MonadIO m |
=> GLuint | `group`.
-> GLuint | `counter`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `counterString` pointing to `bufSize` elements of type `GLchar`.
-> m () |

glGetPerfMonitorCountersAMD

Arguments

:: MonadIO m |
=> GLuint | `group`.
-> Ptr GLint | `numCounters` pointing to `1` element of type `GLint`.
-> Ptr GLint | `maxActiveCounters` pointing to `1` element of type `GLint`.
-> GLsizei | `counterSize`.
-> Ptr GLuint | `counters` pointing to `counterSize` elements of type `GLuint`.
-> m () |

glGetPerfMonitorGroupStringAMD

Arguments

:: MonadIO m |
=> GLuint | `group`.
-> GLsizei | `bufSize`.
-> Ptr GLsizei | `length` pointing to `1` element of type `GLsizei`.
-> Ptr GLchar | `groupString` pointing to `bufSize` elements of type `GLchar`.
-> m () |

glGetPerfMonitorGroupsAMD

Arguments

:: MonadIO m |
=> Ptr GLint | `numGroups` pointing to `1` element of type `GLint`.
-> GLsizei | `groupsSize`.
-> Ptr GLuint | `groups` pointing to `groupsSize` elements of type `GLuint`.
-> m () |

glSelectPerfMonitorCountersAMD

Arguments

:: MonadIO m |
=> GLuint | `monitor`.
-> GLboolean | `enable` of type Boolean.
-> GLuint | `group`.
-> GLint | `numCounters`.
-> Ptr GLuint | `counterList` pointing to `numCounters` elements of type `GLuint`.
-> m () |